## com.lowagie.bc.asn1
Class DERConstructedSequence

    java.lang.Object
      com.lowagie.bc.asn1.DERObject
          com.lowagie.bc.asn1.ASN1Sequence
              com.lowagie.bc.asn1.DERConstructedSequence

All Implemented Interfaces:
  DEREncodable, DERTags

Direct Known Subclasses:
  BERConstructedSequence

    public class DERConstructedSequence

extends ASN1Sequence

//@deprecated use DERSequence.

Field Summary

Fields inherited from interface com.lowagie.bc.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERConstructedSequence()`

Method Summary
`void` `addObject(DEREncodable obj)`
`(package private) void` `encode(DEROutputStream out)`
`int` `getSize()`

Methods inherited from class com.lowagie.bc.asn1.ASN1Sequence
`equals, getInstance, getInstance, getObjectAt, getObjects, hashCode, size`

Methods inherited from class com.lowagie.bc.asn1.DERObject
`getDERObject`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DERConstructedSequence

    public DERConstructedSequence()

Method Detail

### addObject

    public void addObject(DEREncodable obj)

  Overrides:
    `addObject` in class `ASN1Sequence`

### getSize

    public int getSize()

### encode

    void encode(DEROutputStream out)
          throws java.io.IOException

  Specified by:
    `encode` in class `ASN1Sequence`
  Throws:
    `java.io.IOException`